package de.hft.stuttgart.citydoctor2.ziploader;

import de.hft.stuttgart.citydoctor2.datastructure.CityDoctorModel;

import java.util.zip.ZipEntry;

public class ErroneousEntry extends CityGmlZipEntry {

    private ZipEntryErrorType errorType = null;

    public ErroneousEntry(ZipEntry entry, ZipEntryErrorType errorType){
        super(entry);
        this.errorType = errorType;
    }

    @Override
    public void validateModel(){
        /* Erroneous entries could not parse their CityModel and thus skip validation */
    }

    @Override
    public CityDoctorModel getModel(){
        return null;
    }

    public ZipEntryErrorType getErrorType() {
        return errorType;
    }
}
